<?php

   include("../scripts/connect.php");
   $conexion=conecta_default();
   
   include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("1")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
    
    extract($_POST); 
function redondear_dos_decimal($valor) {
   $redondeado=round($valor * 100) / 100;
   return $redondeado;
} 
	echo"<center>";
	$idreg = $_POST['id_regalia'];
	$total = isset($_POST['cantidad']);
	$fecha = isset($_POST['fech1']);
	$idci = isset($_POST['elci']);
	$fija=0;
	$inver =$_POST['cliente'];
	$total1 =$_POST['money'];
	$liminf=0;
	$excedente=0;
	$mesletra="Error";
	echo"Id Distribuidor $inver";
		$qPP = "SELECT idreg, inversionista.nombre as elnombre, appat, apmat, `calificados`,`total`,`apagar`,`fechap`, impuestos, pagado, estampa, cd, banco.nombre as elbanco, nocuenta, status, cd, inversionista.id_inver as cliente FROM `regs2` join inversionista on 
    inversionista.id_inver=regs2.id_inver left join banco on banco.idbanco=inversionista.banco_idbanco WHERE regs2.id_inver='$inver' and `status`=0  and fechap>='2016-04-01'";
   $impuestos = $total1*.07;
	$pagar = $total1 - $impuestos;
	

 $totalin = 0;
  $totalin2 = 0;
$regnew=0;
$rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error());
  

   
if(!mysql_affected_rows($conexion))
{
	echo "<center>No hay Regalias por el momento.</center><br>";
    exit;
}

 $qPP3 = "insert into regs2(id_inver, calificados, primera, segunda, tercera, cuarta, total, _real, apagar, impuestos, pagado, fechap, cd, observaciones) values('$inver', '0', '0', '0', '0', '0', '$total1', '$total1','$total1', '$impuestos', '$pagar', curdate(), '13', 'Regalias_agrupadas')";

$rPP3 = mysql_query($qPP3) or die ('ErrPP2: '. mysql_error());
	   
	  $qa = "SELECT max(idreg) FROM regs2 ";
   $ca = mysql_query($qa) or die ('Error (select consec): ' . mysql_error());
   while($ra = mysql_fetch_row($ca))
   {
	   $regnew = $ra[0];
	};

echo "<html>
			<body>
			
			<br>
			<center><font size=\"+3\" color=\"#594106\"><b>Agrupar Regalias</b></font>
			
			<br><br>
<form name=\"pagar\" action=\"agrupar_regs4.php\" method=\"post\">
	        <table cellpadding=\"1\" align=\"center\">
	 ";
	
	
echo " <tr bgcolor=\"#594106\"><th><font color=\"#FFFFFF\">ID</font></th><th><font color=\"#FFFFFF\">CD</font></th><th><font color=\"#FFFFFF\">Nombre</font></th><th><font color=\"#FFFFFF\">Fecha Reg</font></th><th><font color=\"#FFFFFF\">Generado</font></th><th><font color=\"#FFFFFF\">Banco</font></th>
</tr>";

while (($objetoPP=mysql_fetch_object($rPP)) )
{$totalin+=$objetoPP->apagar; $stat=$objetoPP->status; $regal=$objetoPP->idreg;

$qPP1 = "update regs2 set status='1', apagar='0', fechaf=curdate(), observaciones='REG$regnew'  where idreg=$regal";

$rPP1 = mysql_query($qPP1) or die ('ErrPP1: '. mysql_error());

$qIP2 = "INSERT INTO agrupa_regs
							    (	 
							     idregi, idregf 
							    ) 
							    VALUES 
							    (
								    '$regal', '$regnew'
							     )";
					$cIP2 = mysql_query($qIP2) or die ('Error (insert pagovta): ' . mysql_error());	

	echo "<tr bgcolor=\"#ece3bb\">
			 <td>$objetoPP->idreg</td><td>$objetoPP->cd</td><td>$objetoPP->elnombre $objetoPP->appat $objetoPP->apmat</td><td>$objetoPP->fechap</td>
			 <td>$objetoPP->apagar</td><td>$objetoPP->elbanco</td>
             
			
  
		  </tr> 
		 ";
   
}
echo "</table><br>";


echo"
El total de regalias por pagar $ $totalin impuestos $impuestos A pagar $pagar<br><br><br><input type=hidden name=cliente value=$inver>
			Las Regalias ya fueron dadas de alta para pagar este mes
		"; 

	
	
	
	/*
	                  if($continuale!=1){
		$qPP = "SELECT idreg, rfc, nombre, appat, apmat, primera, segunda, tercera, cuarta, `calificados`,`total`,`apagar`,`fechap` FROM `regs2` join inversionista on inversionista.id_inver=regs2.id_inver WHERE idreg='".$idreg."'";
	

$rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error());
	
echo"<center><label style='color:#5C3C12; font-size:28px; font-weight:bold'>Crear Voucher</label><br><br>";
	while (($objetoPP=mysql_fetch_object($rPP)) )
{$califs=$objetoPP->calificados;$total=$objetoPP->apagar;    $nombre=$objetoPP->nombre." ".$objetoPP->appat." ".$objetoPP->apmat;

	echo"Nombre: $nombre <br>R.F.C. $objetoPP->rfc<br><br>Total de Regalias a recibir:  $ $objetoPP->apagar<br> <br>

    <form name=\"Selec_Prod_Pedido\" action=\"crearvoucher.php\" method=\"post\">
	           Cantidad a recibir en Voucher: <input type=\"text\" name=cantv value=$objetoPP->apagar size=\"8\" >          <br><br>
                Asignar al RFC: <input type=\"text\" name=rfc value=$objetoPP->rfc size=\"10\" maxlenght=\"10\" >          <br><br> 
           <input type=hidden name=idregs value=$objetoPP->idreg>  
           <input type=hidden name=apagar value=$objetoPP->apagar>
            
           <input type=hidden name=continuale value=1>  
           <input type=\"submit\" value=\"Continuar\" name=\"hacer_pedido\">
	</form>";
	
}
                      }	
                      
     else{    

          
$qPP = "SELECT id_inver, rfc, nombre, appat, apmat FROM inversionista WHERE rfc='".$rfc."'";
$rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error());             
if(!mysql_affected_rows() || $cantv>$apagar)
{      
echo"<center><br><br><b> El RFC de la persona a asignar el Voucher No existe<br>
<br>O la cantidad a asignar en el Voucher excede las regal&iacute;as a recibir<br>
<br>Favor de revisarlo e intentar nuevamente<br><br></center>";
}
  else{    $resto=$apagar-$cantv;   
     while (($objetoPP=mysql_fetch_object($rPP)) ) 
     {
           $id_inv=$objetoPP->id_inver; $nombre=$objetoPP->nombre." ".$objetoPP->appat." ".$objetoPP->apmat;
           
     }
     date_default_timezone_set("America/Mexico_City");
   $actuals=date("d/m/Y");
   $actualtime=date("h:i:sa");
   
   echo"<center><br><br><b>Revisa que los datos sean correctos:</b><br><br>
   Datos del asociado a recibir Voucher:<br><br>
   <b>RFC:</b> $rfc <br><br><b>Nombre:</b> $nombre
   <br><br><b>Cantidad generada:</b> $apagar<br>
   <br><b>Cantidad a ser abonada al Voucher:</b> $cantv<br>    <br>
   Regal&iacute;as restantes a ser depositadas: $resto <br><br>
   <form name=\"crearv\" action=\"crearvoucher2.php\" method=\"post\">
             <input type=hidden name=ndist value=\"$nombre\">  
           <input type=hidden name=idinver value=$id_inv>  
            <input type=hidden name=total value=$cantv> 
            <input type=hidden name=idregalia value=$idregs> 
            <input type=hidden name=restante value=$resto> 
            <label> Este voucher ha sido generado el $actuals a las $actualtime por $dato[2] </label>
            <input type=hidden name=descri value='Este voucher ha sido generado el $actuals a las $actualtime por $dato[2]'>
      		<input type=hidden name=fech value=$actuals>
      		<input type=hidden name=tiemp value=$actualtime>
      		<br>

           <input type=\"submit\" value=\"Aceptar y crear voucher\" name=\"hacer_pedido\">
    </form>
    ";   
      
      
      
      
      
      
      
      
      
      
      
  }               
		  
     }		*/		 
?>
